projection.hpp File Reference
`#include <memory>`
`#include <string>`
`#include <proj_api.h>`
`#include <osmium/geom/coordinates.hpp>`
`#include <osmium/geom/util.hpp>`
`#include <osmium/osm/location.hpp>`
Include dependency graph for projection.hpp:

Go to the source code of this file.

## Classes

class | osmium::geom::CRS
struct | osmium::geom::CRS::ProjCRSDeleter
class | osmium::geom::Projection

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::geom
| Everything related to geometry handling.

## Functions

Coordinates | osmium::geom::transform (const CRS &src, const CRS &dest, Coordinates c)

## Detailed Description

This file contains code for projecting OSM locations to arbitrary coordinate reference systems. It is based on the Proj.4 library.

Attention
  If you include this file, you'll need to link with `libproj`.